nfg.hh File Reference
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/nfg.hh:

Go to the source code of this file.

## Functions

EXPORT_3D float | get_jump_level (const C3DImage &image)
| evaluate the noise-vs-gradient jump level for the normalized gradient field evaluation
EXPORT_3D float | get_jump_level (const C3DImage &image, float noise_level)
| evaluate the noise-vs-gradient jump level for the normalized gradient field evaluation
EXPORT_3D C3DFVectorfield | get_nfg (const C3DImage &image)
| evaluate normalized gradiend field of an image
EXPORT_3D C3DFVectorfield | get_nfg_j (const C3DImage &image, float jump_level2)
| evaluate normalized gradiend field of an image
EXPORT_3D C3DFVectorfield | get_nfg_n (const C3DImage &image, float noise_level)
| evaluate normalized gradiend field of an image
EXPORT_3D float | get_noise_level (const C3DImage &image)
| evaluate an approximation of the noise level of an image